com.microfocus.zserver.zexplorer

## Class ZExplorerForZServerPlugin

- java.lang.Object
- - SystemBasePlugin
  - - com.microfocus.zserver.zexplorer.ZExplorerForZServerPlugin

-     public class ZExplorerForZServerPlugin
      extends SystemBasePlugin

  Activator for plug-in "com.microfocus.zexplorer.zserver".
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLUGIN_ID` The plug-in ID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerForZServerPlugin()` The constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZExplorerForZServerPlugin` | `getDefault()` Returns the shared instance
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      The plug-in ID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZExplorerForZServerPlugin

          public ZExplorerForZServerPlugin()

      The constructor

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDefault

          public static ZExplorerForZServerPlugin getDefault()

      Returns the shared instance
      Returns:
        the shared instance

Copyright © 2015 Micro Focus GmbH. All rights reserved.